Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 7 Feb 2017 08:05:55 -0500

On 2017-02-07 01:53, martin rudalics wrote:
>> Are your changes available in a branch of the repo?
> 
> No.  But I hope that I can post a patch by the end of this week.

Great, thanks a lot!

>> I'd be very happy
>> to test them, and some modes like company-mode would benefit
>> significantly (I tried to tackle this in "Could x-show-tip be
>> reimplemented in Elisp? How does one create borderless frames from
>> Elisp?" a while ago).
> 
> Creating borderless frames and giving them back their border is fairly
> trivial.  The greater problem is how to synchronize the behavior of such
> a frame with that of another one (moving, sizing, focusing, restacking
> and the like) and do that consistently across our windows systems.
> 
> I've practically solved all these problems but am not yet sure whether
> the issue I found in "A GTK-only problem when making frames invisible"
> could have a detrimental impact.

Ok; thanks for the clarification!

I'm excited about this feature :)